Raritan PX2/PX3 JSON-RPC API: pdumodel::Controller_4_0_1 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
pdumodel::Controller_4_0_1 Interface Reference

Slave controller interface. More...

`import"Controller.idl";`

Inheritance diagram for pdumodel::Controller_4_0_1:

## Classes
struct | MetaData
| Slave controller metadata. More...

## Public Types
enum | Status { OK, COMMUNICATION_UNSTABLE, COMMUNICATION_FAILURE, UNKNOWN, INCOMPATIBLE, FIRMWARE_UPDATE }
| Communication status. More...
enum | Type { OUTLET_CTRL, INLET_CTRL, METER_CTRL }
| Slave controller type. More...

## Public Member Functions
Status | getCommunicationStatus ()
| Retrieve the current status of communication with controller. More...
CtrlStatistic | getStatistics ()
| Retrieve statistics. More...
MetaData | getMetaData ()
| Retrieve the slave controller metadata. More...
int | reset ()
| Reset this slave controller. More...

## Public Attributes
constant int | ERR_NOT_SUPPORTED = 1
| Operation not supported.
valueobject | StatusChangedEvent: idl::Event { Status oldStatus
| Event: Controller communication status has changed. More...
Status | newStatus
| Status after change.
valueobject | MetaDataChangedEvent: idl::Event { MetaData oldMetaData
| Event: Controller metadata has changed. More...
MetaData | newMetaData
| Metadata after change.

## Detailed Description

Slave controller interface.

## Member Enumeration Documentation

## ◆ Status

enum pdumodel::Controller_4_0_1::Status

Communication status.

Enumerator
OK | Communication with controller is known to be working.
COMMUNICATION_UNSTABLE | Controller can be communicated with sporadically.
COMMUNICATION_FAILURE | Controller can't be communicated with.
UNKNOWN | Communication status is unknown, e.g. after startup.
INCOMPATIBLE | The characteristics of the controller don't meet the expectations.
FIRMWARE_UPDATE | A controller firmware update is in progress.

## ◆ Type

enum pdumodel::Controller_4_0_1::Type

Slave controller type.

Enumerator
OUTLET_CTRL | Outlet controller
INLET_CTRL | Inlet controller
METER_CTRL | General metering controller

## Member Function Documentation

## ◆ getCommunicationStatus()

Status pdumodel::Controller_4_0_1::getCommunicationStatus | ( |  | ) |

Retrieve the current status of communication with controller.

Returns
  communication status

## ◆ getMetaData()

MetaData pdumodel::Controller_4_0_1::getMetaData | ( |  | ) |

Retrieve the slave controller metadata.

Returns
  Controller metadata

## ◆ getStatistics()

CtrlStatistic pdumodel::Controller_4_0_1::getStatistics | ( |  | ) |

Retrieve statistics.

Returns
  statistics of Controller

## ◆ reset()

int pdumodel::Controller_4_0_1::reset | ( |  | ) |

Reset this slave controller.

Note: Depending on the hardware setup of the specific device, calling this method may also cause other slave controllers to be reset.

Returns
  0 on success ERR_NOT_SUPPORTED if the hardware setup doesn't allow resetting the controller

## Member Data Documentation

## ◆ MetaDataChangedEvent

valueobject pdumodel::Controller_4_0_1::MetaDataChangedEvent

Event: Controller metadata has changed.

Metadata before change

## ◆ StatusChangedEvent

valueobject pdumodel::Controller_4_0_1::StatusChangedEvent

Event: Controller communication status has changed.

Status before change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Controller.idl